var chartHolder = d3.select("#barchart");
const csvUrl =
  'https://gist.githubusercontent.com/fouzanuddin/d0377d67e8f5f16de0389c10cd05ecdf/raw/c7fce4c7d1246d37320fff824ce1f6a6c8a59059/tiktok.csv'
var barData = [];
var barChart = d3.x3d.chart.barChartMultiSeries();
  
d3.csv(csvUrl, (data) => {
  data.forEach(d => {     
        var row = {};
        row['key'] = d["Rank"];
      	row['values'] = [
        	{key: 'Country', value: parseInt(d['Country'])},
        	{key: 'Rank', value: parseInt(d['Rank'])},
        	{key: 'people_vaccinated', value: parseInt(d['people_vaccinated'])},
          {key: 'people_fully_vaccinated', value: parseInt(d['people_fully_vaccinated'])},
          {key: 'total_boosters', value: parseInt(d['total_boosters'])}               
      ];
      barData.push(row);
    });
	chartHolder.datum(barData).call(barChart);
});
chartHolder.datum(barData).call(barChart);